//=================================================================================================
/*!
//  \file blazemark/blaze/Init.h
//  \brief Header file for the Blaze initialization functions
//
//  Copyright (C) 2012-2020 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. You can redistribute it and/or modify it under
//  the terms of the New (Revised) BSD License. Redistribution and use in source and binary
//  forms, with or without modification, are permitted provided that the following conditions
//  are met:
//
//  1. Redistributions of source code must retain the above copyright notice, this list of
//     conditions and the following disclaimer.
//  2. Redistributions in binary form must reproduce the above copyright notice, this list
//     of conditions and the following disclaimer in the documentation and/or other materials
//     provided with the distribution.
//  3. Neither the names of the Blaze development group nor the names of its contributors
//     may be used to endorse or promote products derived from this software without specific
//     prior written permission.
//
//  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
//  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
//  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
//  SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
//  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
//  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
//  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
//  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
//  ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
//  DAMAGE.
*/
//=================================================================================================

#ifndef _BLAZEMARK_BLAZE_INIT_H_
#define _BLAZEMARK_BLAZE_INIT_H_


//*************************************************************************************************
// Includes
//*************************************************************************************************

#include <blazemark/blaze/init/CompressedLower.h>
#include <blazemark/blaze/init/CompressedMatrix.h>
#include <blazemark/blaze/init/CompressedStrictlyLower.h>
#include <blazemark/blaze/init/CompressedStrictlyUpper.h>
#include <blazemark/blaze/init/CompressedSymmetric.h>
#include <blazemark/blaze/init/CompressedUniLower.h>
#include <blazemark/blaze/init/CompressedUniUpper.h>
#include <blazemark/blaze/init/CompressedUpper.h>
#include <blazemark/blaze/init/CompressedVector.h>
#include <blazemark/blaze/init/DynamicLower.h>
#include <blazemark/blaze/init/DynamicMatrix.h>
#include <blazemark/blaze/init/DynamicStrictlyLower.h>
#include <blazemark/blaze/init/DynamicStrictlyUpper.h>
#include <blazemark/blaze/init/DynamicSymmetric.h>
#include <blazemark/blaze/init/DynamicUniLower.h>
#include <blazemark/blaze/init/DynamicUniUpper.h>
#include <blazemark/blaze/init/DynamicUpper.h>
#include <blazemark/blaze/init/DynamicVector.h>
#include <blazemark/blaze/init/StaticLower.h>
#include <blazemark/blaze/init/StaticMatrix.h>
#include <blazemark/blaze/init/StaticStrictlyLower.h>
#include <blazemark/blaze/init/StaticStrictlyUpper.h>
#include <blazemark/blaze/init/StaticSymmetric.h>
#include <blazemark/blaze/init/StaticUniLower.h>
#include <blazemark/blaze/init/StaticUniUpper.h>
#include <blazemark/blaze/init/StaticUpper.h>
#include <blazemark/blaze/init/StaticVector.h>

#endif
