//=================================================================================================
/*!
//  \file blazetest/mathtest/Creator.h
//  \brief Header file for the Creator class template
//
//  Copyright (C) 2012-2020 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. You can redistribute it and/or modify it under
//  the terms of the New (Revised) BSD License. Redistribution and use in source and binary
//  forms, with or without modification, are permitted provided that the following conditions
//  are met:
//
//  1. Redistributions of source code must retain the above copyright notice, this list of
//     conditions and the following disclaimer.
//  2. Redistributions in binary form must reproduce the above copyright notice, this list
//     of conditions and the following disclaimer in the documentation and/or other materials
//     provided with the distribution.
//  3. Neither the names of the Blaze development group nor the names of its contributors
//     may be used to endorse or promote products derived from this software without specific
//     prior written permission.
//
//  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
//  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
//  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
//  SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
//  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
//  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
//  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
//  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
//  ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
//  DAMAGE.
*/
//=================================================================================================

#ifndef _BLAZETEST_MATHTEST_CREATOR_H_
#define _BLAZETEST_MATHTEST_CREATOR_H_


//*************************************************************************************************
// Includes
//*************************************************************************************************

#include <blazetest/mathtest/creator/Complex.h>
#include <blazetest/mathtest/creator/CompressedDiagonal.h>
#include <blazetest/mathtest/creator/CompressedHermitian.h>
#include <blazetest/mathtest/creator/CompressedLower.h>
#include <blazetest/mathtest/creator/CompressedMatrix.h>
#include <blazetest/mathtest/creator/CompressedStrictlyLower.h>
#include <blazetest/mathtest/creator/CompressedStrictlyUpper.h>
#include <blazetest/mathtest/creator/CompressedSymmetric.h>
#include <blazetest/mathtest/creator/CompressedUniLower.h>
#include <blazetest/mathtest/creator/CompressedUniUpper.h>
#include <blazetest/mathtest/creator/CompressedUpper.h>
#include <blazetest/mathtest/creator/CompressedVector.h>
#include <blazetest/mathtest/creator/Default.h>
#include <blazetest/mathtest/creator/DynamicDiagonal.h>
#include <blazetest/mathtest/creator/DynamicHermitian.h>
#include <blazetest/mathtest/creator/DynamicLower.h>
#include <blazetest/mathtest/creator/DynamicMatrix.h>
#include <blazetest/mathtest/creator/DynamicStrictlyLower.h>
#include <blazetest/mathtest/creator/DynamicStrictlyUpper.h>
#include <blazetest/mathtest/creator/DynamicSymmetric.h>
#include <blazetest/mathtest/creator/DynamicUniLower.h>
#include <blazetest/mathtest/creator/DynamicUniUpper.h>
#include <blazetest/mathtest/creator/DynamicUpper.h>
#include <blazetest/mathtest/creator/DynamicVector.h>
#include <blazetest/mathtest/creator/HybridDiagonal.h>
#include <blazetest/mathtest/creator/HybridHermitian.h>
#include <blazetest/mathtest/creator/HybridLower.h>
#include <blazetest/mathtest/creator/HybridMatrix.h>
#include <blazetest/mathtest/creator/HybridStrictlyLower.h>
#include <blazetest/mathtest/creator/HybridStrictlyUpper.h>
#include <blazetest/mathtest/creator/HybridSymmetric.h>
#include <blazetest/mathtest/creator/HybridUniLower.h>
#include <blazetest/mathtest/creator/HybridUniUpper.h>
#include <blazetest/mathtest/creator/HybridUpper.h>
#include <blazetest/mathtest/creator/HybridVector.h>
#include <blazetest/mathtest/creator/IdentityMatrix.h>
#include <blazetest/mathtest/creator/Policies.h>
#include <blazetest/mathtest/creator/StaticDiagonal.h>
#include <blazetest/mathtest/creator/StaticHermitian.h>
#include <blazetest/mathtest/creator/StaticLower.h>
#include <blazetest/mathtest/creator/StaticMatrix.h>
#include <blazetest/mathtest/creator/StaticStrictlyLower.h>
#include <blazetest/mathtest/creator/StaticStrictlyUpper.h>
#include <blazetest/mathtest/creator/StaticSymmetric.h>
#include <blazetest/mathtest/creator/StaticUniLower.h>
#include <blazetest/mathtest/creator/StaticUniUpper.h>
#include <blazetest/mathtest/creator/StaticUpper.h>
#include <blazetest/mathtest/creator/StaticVector.h>
#include <blazetest/mathtest/creator/UniformMatrix.h>
#include <blazetest/mathtest/creator/UniformVector.h>
#include <blazetest/mathtest/creator/ZeroMatrix.h>
#include <blazetest/mathtest/creator/ZeroVector.h>

#endif
